summaryrefslogtreecommitdiff
path: root/standalone
diff options
context:
space:
mode:
authorGravatar Joey Hess <joeyh@joeyh.name>2016-09-06 13:50:55 -0400
committerGravatar Joey Hess <joeyh@joeyh.name>2016-09-06 13:50:55 -0400
commite39f38bfef54798950e0eb03908d99d42fa88841 (patch)
tree603436d5b43abb1689d5eac541eb5a1119c12d45 /standalone
parent2f58f8de3c4f5ffd6232325f319413672d65c410 (diff)
constrain cryptonite version to avoid windows build fail
Diffstat (limited to 'standalone')
-rwxr-xr-xstandalone/windows/build.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/standalone/windows/build.sh b/standalone/windows/build.sh
index f8d593430..ec138efdb 100755
--- a/standalone/windows/build.sh
+++ b/standalone/windows/build.sh
@@ -28,7 +28,7 @@ export UPGRADE_LOCATION
# Uncomment to get rid of cabal installed libraries.
#cabal list --installed
-rm -rf /c/Users/jenkins/AppData/Roaming/cabal /c/Users/jenkins/AppData/Roaming/ghc
+#rm -rf /c/Users/jenkins/AppData/Roaming/cabal /c/Users/jenkins/AppData/Roaming/ghc
# Don't allow build artifact from a past successful build to be extracted
# if we fail.
@@ -39,7 +39,10 @@ rm -f git-annex-installer.exe
# for haskell libraries to link them with the cygwin library.
cabal update || true
-cabal install --only-dependencies --constraint='persistent-sqlite ==2.2' || true
+cabal install --only-dependencies \
+ --constraint='persistent-sqlite ==2.2' \
+ --constraint='cryptonite ==0.7' \
+ || true
# Detect when the last build was an incremental build and failed,
# and try a full build. Done this way because this shell seems a bit